
TYPO3.Flow - Bug # 5185

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Validation
Created: 2009-10-30 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: ValidatorResolver fails to parse @validate annotations with complex options
Description

When options like Bar(Quux=123, Pax="a weird \"string\" with *freaky* stuff") are given, they are not parsed correctly...

Related issues:
related to TYPO3.Flow - Bug # 5047: Validationresovler regex fails for more t... Resolved 2009-10-20

Associated revisions
Revision e4bf183e - 2009-11-02 13:30 - Karsten Dambekalns

[+BUGFIX] FLOW3 (Validation): @validate annotations with complex options are parsed correctly now, fixes #5185.

History
#1 - 2009-11-02 14:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3387.

#2 - 2009-11-02 14:02 - Karsten Dambekalns
- Target version set to 1.0 alpha 6
